### Virtual Method

# Ide Debugger supports_runner

#### Declaration

    gboolean
    supports_runner (
      IdeDebugger* self,
      IdeRunner* runner,
      gint* priority
    )

#### Description

Checks if the debugger supports a given runner. The debugger may need to check if the binary type matches it’s expectation.

Available since: | 3.32

#### Parameters

`runner` | `IdeRunner`
| An `IdeRunner`.
| The data is owned by the caller of the function.
`priority` | `gint*`
| A location for a priority.
| The argument will be set by the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if the `IdeDebugger` supports the runner.